#!/bin/sh
#
# $CoreSDI: build.sed,v 1.3 2001/12/26 23:10:28 claudio Exp $
# 
# Copyright (c) 2000, 2001, Core SDI S.A., Argentina
# All rights reserved
#  
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#  
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither name of the Core SDI S.A. nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# This unix shell script runs under windows through cygwin

VERSION=AUDIT_VERSION
SRCS_TARBALL=audit-v$VERSION-src.tar.gz
PORT_TARBALL=audit.tgz
PKGDIR=audit-v$VERSION
SRCSDIR=$PKGDIR-src


# Binary packages will be placed under $PKGDIR
# Sources will be placed under $SRCSDIR
rm -rf $PKGDIR $SRCSDIR
mkdir $PKGDIR 


# Uncompress sources and port tarball
gunzip -c $SRCS_TARBALL | pax -r -s "/audit-v$VERSION/$SRCSDIR/" 
gunzip -c $PORT_TARBALL | pax -r -s "/audit/$SRCSDIR/" 
cd $SRCSDIR 


# Add the CR character on each MSVC archive
WIN32_FILES="audit_client.dsp audit_client.dsw src/audit/audit.dsp src/audit/audit.dsw src/lib/common.dsp src/lib/common.dsw src/modules/auth/raw/auth_raw.dsp src/modules/auth/raw/auth_raw.dsw src/modules/auth/srp/auth_srp.dsp src/modules/auth/srp/auth_srp.dsw"
CR=`printf "\r"`
for i in $WIN32_FILES
do
	mv $i $i.orig
	sed "s/$/$CR/" $i.orig > $i
	rm $i.orig
done


# Execute port
chmod +x ./build.bat
./build.bat ..\\$PKGDIR && exit 0

exit 1

