# $CoreSDI: Makefile.sed,v 1.1 2001/11/08 20:21:02 claudio Exp $

COMMENT=	"remote systems logs auditing tool"

VERSION=	AUDIT_VERSION
DISTNAME=	audit-v${VERSION}
DISTFILES=	${DISTNAME}-src.tar.gz
CATEGORIES=	security net
NEED_VERSION=	1.405

MASTER_SITES=	http://www.corest.com/downloads/download2_audit_html/ \
		ftp://ftp.openbsd.org.ar/pub/audit/

HOMEPAGE=	http://www.corest.com/solutions/products.html

MAINTAINER=	core.devel.alat@corest.com

# BSD license
PERMIT_PACKAGE_CDROM=	Yes
PERMIT_PACKAGE_FTP=	Yes
PERMIT_DISTFILES_CDROM=	Yes
PERMIT_DISTFILES_FTP=	Yes

AUDIT_LIBDIR=	${PREFIX}/lib/alat

FLAVORS=	mysql pgsql
FLAVOR?=

.if ${FLAVOR:L:Mmysql}
MAKE_ENV+=	"WITH_MYSQL="
LIB_DEPENDS+=	mysqlclient.::databases/mysql
.endif
.if ${FLAVOR:L:Mpgsql}
MAKE_ENV+=	"WITH_PGSQL="
LIB_DEPENDS+=	pq.::databases/postgresql,-clients
.endif

MAKE_FILE=	BSDmakefile
MAKE_ENV+=	"MANDIR=${PREFIX}/man/man" \
		"PGSQL_INCDIR=${PREFIX}/include/postgresql" \
		"PGSQL_LIBDIR="

pre-install:
	${INSTALL_PROGRAM_DIR} ${AUDIT_LIBDIR}

post-install:
	${INSTALL_DATA_DIR} ${PREFIX}/share/audit/doc
	${INSTALL_DATA} ${WRKSRC}/auditd.conf \
		${PREFIX}/share/audit/auditd.conf-sample
	${INSTALL_DATA} ${WRKSRC}/README ${WRKSRC}/INSTALL ${WRKSRC}/COPYING \
		${WRKSRC}/doc/* ${PREFIX}/share/audit/doc

.include <bsd.port.mk>
