#!/bin/sh
#
# $CoreSDI: build.sed,v 1.2 2001/11/09 23:52:06 claudio Exp $
#
# Copyright (c) 2000, 2001, Core SDI S.A., Argentina
# All rights reserved
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither name of the Core SDI S.A. nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Automatic binaries builder

VERSION=AUDIT_VERSION
SRCS_TARBALL=audit-v$VERSION-src.tar.gz
PORT_TARBALL=audit.tgz
PORT_DIRNAME=audit
PORTSDIR=/usr/src/redhat
DISTFILEDIR=$PORTSDIR/SOURCES
PACKAGESDIR=$PORTSDIR/RPMS/i386
BINARIESDIR=audit-v$VERSION


# Binaries will be placed under BINARIESDIR
rm -rf $BINARIESDIR


# Ports tree needed
if ! test -d $PORTSDIR; then
	echo "Missing ports tree: $PORTSDIR."
	exit 1
fi

if ! test -d $DISTFILEDIR; then
	if ! mkdir $DISTFILEDIR; then
		exit 1
	fi
fi


# Move sources to DISTFILEDIR and make packages
mv $SRCS_TARBALL $DISTFILEDIR && \
tar zxmf $PORT_TARBALL && \
cd $PORT_DIRNAME && \
make && \
cd - && \
mkdir $BINARIESDIR && \
mv $PACKAGESDIR/audit*v$VERSION*rpm $BINARIESDIR/
exit 0
exit 1

