/*	$CoreSDI: authargs.h,v 1.5 2001/07/18 19:24:29 claudio Exp $	*/

/*
 *   Copyright (c) 2000, 2001, Core SDI S.A., Argentina
 *   All rights reserved
 *  
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions
 *   are met:
 *  
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *   3. Neither name of the Core SDI S.A. nor the names of its contributors
 *      may be used to endorse or promote products derived from this software
 *      without specific prior written permission.
 *  
 *   THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 *   IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 *   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *   IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 *   INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *   NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *   THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *   THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef AUTHARGS_H
#define AUTHARGS_H

/* Authentication module commands and arguments */

enum {
	AUTH_CLIENT,			/* Client authenticates server	*/
	AUTH_SERVER,			/* Server authenticates client	*/
	AUTH_FILTER_RESOURCE		/* Resource data filter		*/
};

struct autharg_clnt {
					/* Username			*/
	char		user[MAXHOSTNAMELEN];
					/* Password			*/
	char		pass[_PASSWORD_LEN+1];
};

struct autharg_filter {
	const char	*rname;		/* Resource name		*/
	void		*value;		/* Resource value		*/
	size_t		 vsize;		/* Resource value size		*/
	void		*fvalue;	/* Filtered resource value	*/
	size_t		 fvsize;	/* Filtered resource value size	*/
};

#endif /* AUTHARGS_H */

