/*	$CoreSDI: commands.h,v 1.8 2001/08/03 00:30:19 claudio Exp $	*/

/*
 *   Copyright (c) 2000, 2001, Core SDI S.A., Argentina
 *   All rights reserved
 *  
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions
 *   are met:
 *  
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *   3. Neither name of the Core SDI S.A. nor the names of its contributors
 *      may be used to endorse or promote products derived from this software
 *      without specific prior written permission.
 *  
 *   THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 *   IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 *   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *   IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 *   INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *   NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *   THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *   THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef COMMANDS_H
#define COMMANDS_H


/*
 * Information Accessing commands
 */
#define CMD_IA_MASK		0x0100
#define CMD_IA_GET_MODULE_LIST	0x0101
#define CMD_IA_SET_MODULE	0x0102
#define CMD_IA_GET_LIST		0x0103
#define CMD_IA_GET_INFO		0x0104
#define CMD_IA_GET		0x0105
#define	CMD_IA_ROTATE		0x0106
#define	CMD_IA_ZAP		0x0107
#define CMD_IA_SIGN		0x0108


/*
 * Resources Administration commands
 */
#define CMD_RES_MASK		0x0200
#define CMD_RES_ADDUSER		0x0201
#define CMD_RES_RMUSER		0x0202
#define CMD_RES_SET		0x0203
#define CMD_RES_FIND		0x0204
#define CMD_RES_REMOVE		0x0205


/*
 * Special commands
 */
#define CMD_QUIT		0xFF00


/*
 * Return codes
 */
#define LOGIN_SUCCESS		0x0000
#define LOGIN_FAILED		0xFFFF
#define CMD_OK			0x0000
#define CMD_EOPNOTSUPP		0xFFFF
#define CMD_ERROR		0xFFFF


#endif /* COMMANDS_H */
